package com.ag.log;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;

/**
 * 频道信息
 * @TableName topic_resp
 */
@TableName(value ="topic_resp")
public class TopicResp implements Serializable {

    private String checkFlag;

    public String getCheckFlag() {
        return checkFlag;
    }

    public void setCheckFlag(String checkFlag) {
        this.checkFlag = checkFlag;
    }

    /**
     * 
     */
    @TableId
    private String id;

    /**
     * 频道名称
     */
    private String topicName;

    /**
     * 父频道名称
     */
    private String topicParentName;

    /**
     * 父频道ID
     */
    private String topicParentId;

    /**
     * 频道描述
     */
    private String topicDescribe;

    /**
     * 
     */
    private String createdBy;

    /**
     * 
     */
    private Date createdOn;

    /**
     * 
     */
    private String updatedBy;

    /**
     * 
     */
    private Date updatedOn;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    public String getId() {
        return id;
    }

    /**
     * 
     */
    public void setId(String id) {
        this.id = id;
    }

    /**
     * 频道名称
     */
    public String getTopicName() {
        return topicName;
    }

    /**
     * 频道名称
     */
    public void setTopicName(String topicName) {
        this.topicName = topicName;
    }

    /**
     * 父频道名称
     */
    public String getTopicParentName() {
        return topicParentName;
    }

    /**
     * 父频道名称
     */
    public void setTopicParentName(String topicParentName) {
        this.topicParentName = topicParentName;
    }

    /**
     * 父频道ID
     */
    public String getTopicParentId() {
        return topicParentId;
    }

    /**
     * 父频道ID
     */
    public void setTopicParentId(String topicParentId) {
        this.topicParentId = topicParentId;
    }

    /**
     * 频道描述
     */
    public String getTopicDescribe() {
        return topicDescribe;
    }

    /**
     * 频道描述
     */
    public void setTopicDescribe(String topicDescribe) {
        this.topicDescribe = topicDescribe;
    }

    /**
     * 
     */
    public String getCreatedBy() {
        return createdBy;
    }

    /**
     * 
     */
    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    /**
     * 
     */
    public Date getCreatedOn() {
        return createdOn;
    }

    /**
     * 
     */
    public void setCreatedOn(Date createdOn) {
        this.createdOn = createdOn;
    }

    /**
     * 
     */
    public String getUpdatedBy() {
        return updatedBy;
    }

    /**
     * 
     */
    public void setUpdatedBy(String updatedBy) {
        this.updatedBy = updatedBy;
    }

    /**
     * 
     */
    public Date getUpdatedOn() {
        return updatedOn;
    }

    /**
     * 
     */
    public void setUpdatedOn(Date updatedOn) {
        this.updatedOn = updatedOn;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        TopicResp other = (TopicResp) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getTopicName() == null ? other.getTopicName() == null : this.getTopicName().equals(other.getTopicName()))
            && (this.getTopicParentName() == null ? other.getTopicParentName() == null : this.getTopicParentName().equals(other.getTopicParentName()))
            && (this.getTopicParentId() == null ? other.getTopicParentId() == null : this.getTopicParentId().equals(other.getTopicParentId()))
            && (this.getTopicDescribe() == null ? other.getTopicDescribe() == null : this.getTopicDescribe().equals(other.getTopicDescribe()))
            && (this.getCreatedBy() == null ? other.getCreatedBy() == null : this.getCreatedBy().equals(other.getCreatedBy()))
            && (this.getCreatedOn() == null ? other.getCreatedOn() == null : this.getCreatedOn().equals(other.getCreatedOn()))
            && (this.getUpdatedBy() == null ? other.getUpdatedBy() == null : this.getUpdatedBy().equals(other.getUpdatedBy()))
            && (this.getUpdatedOn() == null ? other.getUpdatedOn() == null : this.getUpdatedOn().equals(other.getUpdatedOn()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getTopicName() == null) ? 0 : getTopicName().hashCode());
        result = prime * result + ((getTopicParentName() == null) ? 0 : getTopicParentName().hashCode());
        result = prime * result + ((getTopicParentId() == null) ? 0 : getTopicParentId().hashCode());
        result = prime * result + ((getTopicDescribe() == null) ? 0 : getTopicDescribe().hashCode());
        result = prime * result + ((getCreatedBy() == null) ? 0 : getCreatedBy().hashCode());
        result = prime * result + ((getCreatedOn() == null) ? 0 : getCreatedOn().hashCode());
        result = prime * result + ((getUpdatedBy() == null) ? 0 : getUpdatedBy().hashCode());
        result = prime * result + ((getUpdatedOn() == null) ? 0 : getUpdatedOn().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", topicName=").append(topicName);
        sb.append(", topicParentName=").append(topicParentName);
        sb.append(", topicParentId=").append(topicParentId);
        sb.append(", topicDescribe=").append(topicDescribe);
        sb.append(", createdBy=").append(createdBy);
        sb.append(", createdOn=").append(createdOn);
        sb.append(", updatedBy=").append(updatedBy);
        sb.append(", updatedOn=").append(updatedOn);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}